# List Groups Filters and returns Groups for current Hub. Request valid only in scope of Primary or Standalone Hub and can't be used in scope of a Connected Hub. Endpoint: GET /hubs/{subdomain}/groups Version: 3.0-R1 Security: ApiKeyAuth ## Path parameters: - `subdomain` (string, required) Unique subdomain of requested Hub. ## Query parameters: - `archived` (string) Filters groups by archived status: * true - return only groups that were archived, * false - return only groups that were not archived, * all - return groups without filtering by archived status. Enum: "true", "false", "all" - `deleted` (string) Filters groups by deletion status: * true - return only groups that were deleted, * false - return only groups that were not deleted, * all - return groups without filtering by deleted status. Enum: "true", "false", "all" - `q` (string) String that filters groups to those containing the search string in: - name. - `sort_prop` (string) Determines which property results should be sorted by. Enum: "position", "created_at", "updated_at" - `sort_dir` (string) Determines sorting direction. Enum: "asc", "desc" - `page` (integer) Requested page index. - `per_page` (integer) A limit on the number of records to be returned. - `api_version` (string) Api version Enum: "V3-R1" ## Response 200 fields (application/json): - `current_page` (integer) Example: 1 - `page_count` (integer) Example: 4 - `per_page` (integer) Example: 25 - `total` (integer) Example: 1024 - `data` (array) - `data.id` (integer) Example: 100 - `data.name` (string) - `data.flags` (object) - `data.flags.archived` (boolean) Is this group archived. Events affecting only the services in archived group are still visible on Hub Page with direct event link. - `data.flags.deleted` (boolean) Is this group deleted. Events affecting only the services in deleted group are not visible on Hub Page, even with direct event link.